For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETFetch EOR contract document
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Contract Documents

Fetch EOR contract document

GET
/eor/contracts/:contract_id/documents/:type
GET
/rest/v2/eor/contracts/:contract_id/documents/:type
$curl https://api.letsdeel.com/rest/v2/eor/contracts/contract_id/documents/FRAMEWORK_AGREEMENT \
> -H "Authorization: Bearer <token>"

Returns a specific document as a PDF for a given EOR contract. Currently only the FRAMEWORK_AGREEMENT document type is supported. Token scopes: contracts:read

Was this page helpful?
Previous

Cancel EOR Contract

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
EOR contract ID
typeenumRequired

The type of document. Currently only FRAMEWORK_AGREEMENT is supported.

Allowed values:

Response

The document as a PDF

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/